Bug 534686 - (RHQ-1459) UI option for starting server in maintenance mode is cumbersome.
UI option for starting server in maintenance mode is cumbersome.
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Usability (Show other bugs)
1.2
All All
low Severity low (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
http://jira.rhq-project.org/browse/RH...
: FutureFeature, Improvement
Depends On:
Blocks: jon3
  Show dependency treegraph
 
Reported: 2009-02-02 11:46 EST by Corey Welton
Modified: 2014-05-02 13:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-02 13:47:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2009-02-02 11:46:00 EST
It's quite difficult to find the UI option for starting a server in maintenance mode (per RHQ-921).

Steps to repro.
1. Go to Resources > Services
2. Filter for "RHQ Server Communications Subsystem"
3. Click the resulting service
4. Go to the Configure tab
5. Expand the "High Availability" tab
6. Click the edit button
7. Make your setting change as appropriate.

Current results.
A lot of steps for a simple toggle.

Expected results.
Not sure -- something more streamlined, however.  RHQ-Server parents don't have Config tabs, so I'm not sure where we would put it.  Noting that this exists within a drop-down pane called "High Availability", is there somewhere else we can put it?   For that matter, will there be other config options that will eventually fall under the "High Availability" umbrella/windowpane -- in which case, should the pane itself be moved somewhere else?
Comment 1 Joseph Marques 2009-02-03 16:47:44 EST
reopening under the usability component
Comment 2 Red Hat Bugzilla 2009-11-10 15:33:27 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1459
Comment 3 wes hayutin 2010-02-16 12:10:02 EST
mass add of key word FutureFeature to help track
Comment 4 John Mazzitelli 2011-02-11 17:00:31 EST
there is a rhq-server.properties setting you can add. that may or may not be considered easier, but it is another way.

Note You need to log in before you can comment on or make changes to this bug.